#
# spec file for package minetest-modpack-dreambuilder
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           minetest-modpack-dreambuilder
Version:        0_20160909
Release:        1.1
Summary:        A Subgame/Modpack To Build Everthing
License:        WTFPL
Group:          Amusements/Games/3D/Simulation
Url:            https://github.com/VanessaE/dreambuilder_modpack
Source:         dreambuilder_modpack-master.zip
Requires:       minetest >= 0.4.14
BuildRequires:  unzip
BuildRequires:  fdupes
BuildRequires:  dos2unix
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Dreambuilder is an attempt to give the player pretty much everything people will ever want to build with, and all the tools they should ever need to actually get the job done. This modpack was, for most of its life, maintained as a subgame based on minetest_game, minus a couple of mods, with a number of minor things changed, and a number of extra mods added on.

%prep
%setup -q -n dreambuilder_modpack-master
# Remove scripts
find . -name "*.sh" -type f -delete
# Dos to Unix
find . -name "*.x" -type f | xargs dos2unix
# Zero length file filling
find . -size 0 -type f | xargs -i sed -i -e '$a\' {}

%build
# Nothing to do

%install
install -dm 0755 %{buildroot}/%{_datadir}/minetest
install -dm 0755 %{buildroot}/%{_datadir}/minetest/mods
install -dm 0755 %{buildroot}/%{_datadir}/minetest/mods/dreambuilder_modpack
chmod -R -x+X ./
cp -R * %{buildroot}/%{_datadir}/minetest/mods/dreambuilder_modpack/
# Hard link avoid waste of duplicate files
%fdupes %{buildroot}/%{_datadir}/minetest/mods/dreambuilder_modpack/

%files
%defattr(-,root,root)
%{_datadir}/minetest/

%changelog
* Fri Sep  9 2016 guoyunhebrave@gmail.com
- Clean RPMLINT warnings and errors
* Fri Sep  9 2016 guoyunhebrave@gmail.com
- Correct mod installation path
* Fri Sep  9 2016 guoyunhebrave@gmail.com
- Git version on 20160909
